apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: caretta
  namespace: argocd
  labels:
    env: infra
spec:
  project: infra
  source:
    repoURL: 'ssh://git@gitea-ssh.dev-tools.svc.cluster.local:2222/dvirlabs/infra.git'
    targetRevision: HEAD
    path: charts/caretta
    helm:
      valueFiles:
        - ../../manifests/caretta/values.yaml
  destination:
    server: https://kubernetes.default.svc
    namespace: caretta
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
